summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2014-06-30 10:08:32 (GMT)
committer Jaromil <jaromil@dyne.org>2014-06-30 10:08:32 (GMT)
commit78a390c326e8c7e4a6e32f2f51a8100a04e58cd0 (patch)
tree6c6cfcee2b19e8a0deb5f048dc9155a3633ed6db
parentc9c6d76be24bfdc8e35cae9449e79ecd7ebd027b (diff)
fixes in git build and install
-rw-r--r--build/network/conf.zsh14
1 files changed, 7 insertions, 7 deletions
diff --git a/build/network/conf.zsh b/build/network/conf.zsh
index f4d5ed1..e307333 100644
--- a/build/network/conf.zsh
+++ b/build/network/conf.zsh
@@ -40,20 +40,20 @@ compile rsync default
zinstall rsync
# make git
-{ test -r git.done } || {
notice "Building git"
GIT_FLAGS=(prefix=${APKPATH}/files/system NO_INSTALL_HARDLINKS=1 NO_NSEC=1 NO_ICONV=1)
GIT_FLAGS+=(NO_PERL=1 NO_PYTHON=1)
+{ test -r git.done } || {
pushd git
autoconf
-zconfigure default "--without-iconv"
+zconfigure default "--without-iconv --with-openssl"
{ test $? = 0 } && {
make git ${GIT_FLAGS}
+ pushd templates
+ make install ${GIT_FLAGS}
+ popd
# make man prefix=${APKPATH}/files/system
- { test $? = 0 } && {
- touch ../git.done
- rm -f ../git.installed
- }
+ touch ../git.done
}
popd
}
@@ -67,7 +67,7 @@ make install ${GIT_FLAGS}
# now fix all shellbangs in git's scripts. can't do that from config
# flags because of config checks conflicting with cross-compilation.
notice "Fixing shell bangs in git scripts"
-gitshellscripts=`find $PREFIX/libexec/git-core -type f`
+gitshellscripts=`find $APKPATH/files/system/libexec/git-core -type f`
for i in ${(f)gitshellscripts}; do
func "git: fixing shellbang for $i"
file $i | grep -i 'posix shell script' > /dev/null